package com.example.camel;

import java.io.File;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class Boot {

	private static final Logger logger = LoggerFactory.getLogger(Boot.class);

	public static void main(String[] args) {
		String configDirectory = "conf";
		if (args.length > 0) {
			configDirectory = args[0];
		}
		logger.info("config directory: {}", configDirectory);
		
		if (new File(configDirectory).exists() && new File(configDirectory).isDirectory()) {
			System.setProperty("spring.config.location", configDirectory + "/springboot.yml");
			System.setProperty("logging.config", configDirectory + "/logback.xml");
		}
		System.setProperty("org.apache.activemq.SERIALIZABLE_PACKAGES","*");
		SpringApplication.run(Boot.class, args);
	}

}
