package com.example.camel;

import java.util.Collection;
import java.util.Map;
import java.util.TreeMap;

import jakarta.ws.rs.core.Response;

public class UserServiceImpl implements UserService {

    private final Map<Integer, User> users = new TreeMap<>();

    public UserServiceImpl() {
        users.put(1, new User(1, "John Coltrane"));
        users.put(2, new User(2, "Miles Davis"));
        users.put(3, new User(3, "Sonny Rollins"));
    }

    @Override
    public User findUser(Integer id) {
        return users.get(id);
    }

    @Override
    public Collection<User> findUsers() {
        return users.values();
    }

    @Override
    public Response updateUser(User user) {
        users.put(user.getId(), user);
        return Response.noContent().status(Response.Status.CREATED).build();
    }

}